
Redmine - Feature #7799

How to get consolidated report of project mile stones for all projects in Redmine

2011-03-07 08:16 - Mohan Gundlapalli

Status: New Start date: 2011-03-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

We are Redmine as a Project management tool. It has been working great and we are happy with it. We now have a new

requirement now. Our management wants to see a report showing each project's delivery date, manager, start date, total issues,

open issues, closed issues. I searched at several places for quite some time and did not get a solution. I appreciate if someone can

offer help.

History

#1 - 2011-03-07 09:48 - Etienne Massip

You'll find all these informations in the Roadmap if you manage versions.

#2 - 2011-03-09 08:56 - Mohan Gundlapalli

That Roadmap only provides information of a particular project. But I want our users to see such information for all the projects. I think this is a very

basic report that any program manager would want to see. We have been struggling to get such kind of report by various means. All our efforts are

going in vain. Can anyone please help me with this?

#3 - 2011-03-09 09:29 - Etienne Massip

You mean, like a global roadmap ?

Aren't you confusing versions and projects (in redmine) ?

#4 - 2011-03-09 12:11 - Mohan Gundlapalli

We are creating the private versions within the projects. So the versions are not shared. We thought that sharing the versions that have a fixed date

application for an application does not make sense.

After seeing your message, I am now wondering that we are perhaps not using the Versions the proper way. We really need a global report of all the

projects, their status, their release date, manager name, start date of project.

I greatly appreciate if someone can point me in the right direction.

#5 - 2011-03-14 15:49 - Etienne Massip

- Category set to Projects

#6 - 2011-04-08 22:14 - Cassiano Monteiro

Mohan,

I did it by creating one parent project, and all the others are subprojects of the first one. With it, on its roadmap, I can see all the versions.

#7 - 2011-06-13 00:25 - Jean-Baptiste Barth

- Priority changed from Urgent to Normal

Feel free to write a more formal proposal. I think such dashboard could be very interesting for a lot of people, but if you want developers to give them

more love, you have to describe very precisely what you want, build wireframes, propose tested patches, etc.
